
/* HEADER FILE FOR MODULE				HTRequest.h
**		HTTP REQUEST PARSE AND TRANSLATION
**
** AUTHORS:
**	AL	Ari Luotonen    luotonen@dxcern.cern.ch
**	MD	Mark Donszelmann    duns@vxdeop.cern.ch
**
** HISTORY:
**	11 Dec 93  AL	Written based on the old HTHandle().
**
*/

#ifndef HTREQUEST_H
#define HTREQUEST_H

#include "HTUtils.h"
#include "HTFormat.h"
#include "HTAccess.h"

PUBLIC HTRequest * HTParseRequest PARAMS((HTInputSocket * isoc));

PUBLIC int HTTranslateRequest PARAMS((HTRequest * req));

PUBLIC char * HTReplyHeaders PARAMS((HTRequest * req));

PUBLIC char * HTReplyHeadersWith PARAMS((HTRequest *	req,
					 char **	extras,
					 int		extra_cnt));

PUBLIC HTList * hbuf_http_env_vars PARAMS((HTRequest * req));

#endif

