
/* MODULE							HTSUtils.h
**		SERVER UTILITIES
**
** AUTHORS:
**	AL	Ari Luotonen	luotonen@dxcern.cern.ch
**
*/

#ifndef HTSUTILS_H
#define HTSUTILS_H

#include "HTUtils.h"

#ifdef VMS
#define __TYPES
#include <types.h>
#include <time.h>
#define __TIME
#else /* not VMS */
#include <sys/types.h>
#include <sys/time.h>
#endif /* not VMS */

extern char * month_names[];		/* 3-letter month abbreviations	*/


PUBLIC time_t parse_http_time PARAMS((char * str));
PUBLIC char * http_time PARAMS((time_t * t));
PUBLIC BOOL parse_time PARAMS((char *	str,
			       int	def,
			       time_t *	ret));
PUBLIC char * make_time_spec PARAMS((time_t * t));
PUBLIC char * get_http_reason PARAMS((int status_code));

#endif /* !HTSUTILS_H */

